/* $Id: syncdb.h,v 1.3 2001/04/18 00:11:26 richdawe Exp $ */

/*
 *  syncdb.h - Header for database synchronisation routines for zippo
 *  Copyright (C) 1999-2001 by Richard Dawe
 *      
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __zippo_syncdb_h__
#define __zippo_syncdb_h__

/* --- Structures --- */

/* Database synchronisation */
typedef struct {
  int	op;               /* db synchronisation operation     */
  int	mod;              /* db synchronisation modifier      */
  int	verbosity;        /* db synchronisation verbosity     */
  char	*root;            /* DJGPP/spec'd root directory      */
  char	*prefix;          /* Prefix to use for non-db actions */
  char	**dsm_path;       /* Installed DSM path list          */
  char	**mft_path;       /* Installed manifest path list     */
  char	**dsm_path_avail; /* Available DSM path list          */
} ZIPPO_SYNCDB;

/* --- Functions --- */
extern int perform_syncdb (ZIPPO_SYNCDB *req);

#endif	/* __zippo_syncdb_h__ */
